# Copyright (c) 2000-2012, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define section   free
%define cvsversion 20030619
%define _binary_payload w9.gzdio
%define _source_payload w9.gzdio
%define _binary_filedigest_algorithm 1
%define _source_filedigest_algorithm 1

Name:           jing
Version:        0.1
Release:        0.20030619.10%{?dist}
Epoch:          0
Summary:        Jing, a validator for RELAX NG implemented in Java

Group:          Development/Libraries/Java
License:        Open Source
URL:            http://www.thaiopensource.com/relaxng/jing.html
Source0:        http://www.thaiopensource.com/download/jing-20030619.zip
Source1:        jing_build.xml
Source2:        jing-20030619.pom
Patch0:         jing-xerces2.patch
Patch1:         jing-ValidatorImpl.patch
Patch2:         jing-VerifierHandlerImpl.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch

BuildRequires:  jpackage-utils >= 0:1.7.5
BuildRequires:  java-devel >= 0:1.6.0
BuildRequires:  ant >= 0:1.7.1
BuildRequires:  ant-junit
BuildRequires:  junit >= 0:3.8.1
BuildRequires:  xalan-j2 >= 0:2.7.0
BuildRequires:  xerces-j2 >= 0:2.9.0
BuildRequires:  isorelax
BuildRequires:  saxon
Requires:  java >= 0:1.6.0
Requires:  xalan-j2 >= 0:2.7.0
Requires:  xerces-j2 >= 0:2.9.0
Requires:  isorelax
Requires:  saxon

Requires(post):   jpackage-utils >= 0:1.7.5
Requires(postun): jpackage-utils >= 0:1.7.5

%description
This version of Jing implements: RELAX NG 1.0 Specification,
RELAX NG Compact Syntax, and parts of RELAX NG DTD Compatibility, 
specifically checking of ID/IDREF/IDREFS.
Jing also has experimental support for schema languages other 
than RELAX NG; specifically W3C XML Schema (based on Xerces-J);
Schematron; Namespace Routing Language.

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description    javadoc
%{summary}.

%prep
%setup -T -c -n %{name}-%{cvsversion}
(cd ..
unzip -q %{SOURCE0} )
cp %{SOURCE1} build.xml
mkdir src
( cd src
unzip -q ../src.zip )
find . -name "*.jar" -exec rm {} \;

%patch0 -b .sav0
%patch1 -b .sav1
%patch2 -b .sav2

%build
export OPT_JAR_LIST="ant/ant-junit junit"
export CLASSPATH=$(build-classpath \
xalan-j2 \
xerces-j2 \
saxon \
isorelax)
CLASSPATH=$CLASSPATH:src/test-input:target/classes:target/test-classes
ant dist javadoc 

%install
rm -rf $RPM_BUILD_ROOT
install -Dpm 644 dist/lib/%{name}-%{cvsversion}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

install -dm 755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-%{name}.pom
%add_to_maven_depmap thaiopensource %{name} %{version} JPP %{name}

install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(-,root,root,-)
%{_javadir}/*.jar
%{_datadir}/maven2/poms/*
%{_mavendepmapfragdir}/*

%files javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/%{name}-%{version}
%doc %{_javadocdir}/%{name}

%changelog
* Sun Aug 12 2012 Ralph Apel <r.apel at r-apel.de> - 0:0.1-0.20030619.10
- First JPP-6 release

* Mon Mar 10 2008 Ralph Apel <r.apel at r-apel.de> - 0:0.1-0.20030619.9jpp
- Build with java5 for java5
- Patch VerifierHandlerImpl to avoid NPE
- Add pom and depmap frag

* Thu Feb 22 2007 Ralph Apel <r.apel at r-apel.de> - 0:0.1-0.20030619.8jpp
- Add saxon (B)R
- Add gcj_support option
- Fix versioned jar file name from cvsversion to version

* Thu May 18 2006 Ralph Apel <r.apel at r-apel.de> - 0:20030619-7jpp
- First JPP-1.7 release

* Mon Oct 10 2005 Ralph Apel <r.apel at r-apel.de> - 0:20030619-6jpp
- Patch to JAXP-1.3

* Sun Aug 23 2004 Randy Watler <rwatler at finali.com> - 0:0.1-0.20030619.5jpp
- Change EVR to avoid very larve version number

* Sun Aug 23 2004 Randy Watler <rwatler at finali.com> - 0:20030619-4jpp
- Rebuild with ant-1.6.2

* Fri Aug 06 2004 Ralph Apel <r.apel at r-apel.de> - 0:20030619-3jpp
- Change dependencies from non-free msv to free isorelax
- Add runtime Requires

* Tue Jun 01 2004 Randy Watler <rwatler at finali.com> - 0:20030619-2jpp
- Upgrade to Ant 1.6.X

* Wed May 19 2004 Ralph Apel <r.apel at r-apel.de> - 0:20030619-1jpp
- First JPackage release.
